package com.ruoyi.zongzhi.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 数据来源统计对象 tc_data_source_tj
 *
 * @author ruoyi
 * @date 2023-09-13
 */
public class TcDataSourceTj extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 云端监测(G)
     */
    @Excel(name = "云端监测(G)")
    @ApiModelProperty(value = "云端监测(G)")
    private String lable1;

    /**
     * APT(M)
     */
    @Excel(name = "APT(M)")
@ApiModelProperty(value = "APT(M)")
    private String lable2;

    /**
     * 创建人id
     */
    @Excel(name = "创建人id")
@ApiModelProperty(value = "创建人id")
    private Long createId;

    /**
     * 最后更新人id
     */
    @Excel(name = "最后更新人id")
    @ApiModelProperty(value = "最后更新人id")
    private Long updateId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setLable1(String lable1) {
        this.lable1 = lable1;
    }

    public String getLable1() {
        return lable1;
    }

    public void setLable2(String lable2) {
        this.lable2 = lable2;
    }

    public String getLable2() {
        return lable2;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public Long getUpdateId() {
        return updateId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("areaId", getAreaId())
                .append("lable1", getLable1())
                .append("lable2", getLable2())
                .append("createId", getCreateId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateId", getUpdateId())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
            .toString();
    }
}
