package com.ruoyi.zongzhi.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 安全监测受攻击统计对象 tc_sgj_tj
 *
 * @author ruoyi
 * @date 2023-09-13
 */
public class TcSgjTj extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /** 所属镇ID */
    private Long townId;

    /** 所属村ID */
    private Long villageId;

    /**
     * 网络攻击（次）
     */
    @ApiModelProperty(value = "网络攻击")
    @Excel(name = "网络攻击", readConverterExp = "次=")
    private Long totalSum;

    /**
     * 入侵攻击
     */
    @Excel(name = "入侵攻击")
    @ApiModelProperty(value = "入侵攻击")
    private Long rqSum;

    /**
     * 恶意扫描
     */
    @Excel(name = "恶意扫描")
    @ApiModelProperty(value = "恶意扫描")
    private Long eySum;

    /**
     * 僵木蠕病毒
     */
    @Excel(name = "僵木蠕病毒")
    @ApiModelProperty(value = "僵木蠕病毒")
    private Long jmrSum;

    /** 创建人id */
    private Long createId;

    /**
     * 最后更新人id
     */
    private Long updateId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setTownId(Long townId) {
        this.townId = townId;
    }

    public Long getTownId() {
        return townId;
    }

    public void setVillageId(Long villageId) {
        this.villageId = villageId;
    }

    public Long getVillageId() {
        return villageId;
    }

    public void setTotalSum(Long totalSum) {
        this.totalSum = totalSum;
    }

    public Long getTotalSum() {
        return totalSum;
    }

    public void setRqSum(Long rqSum) {
        this.rqSum = rqSum;
    }

    public Long getRqSum() {
        return rqSum;
    }

    public void setEySum(Long eySum) {
        this.eySum = eySum;
    }

    public Long getEySum() {
        return eySum;
    }

    public void setJmrSum(Long jmrSum) {
        this.jmrSum = jmrSum;
    }

    public Long getJmrSum() {
        return jmrSum;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public Long getUpdateId() {
        return updateId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("townId", getTownId())
                .append("villageId", getVillageId())
                .append("totalSum", getTotalSum())
                .append("rqSum", getRqSum())
                .append("eySum", getEySum())
                .append("jmrSum", getJmrSum())
                .append("createId", getCreateId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateId", getUpdateId())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
            .toString();
    }
}
